package com.qs.mp.web.controller.api.admin;

import com.qs.mp.admin.domain.param.ShippingTemplateParam;
import com.qs.mp.common.core.domain.AjaxResult;
import com.qs.mp.common.service.IShippingTemplateService;
import com.qs.mp.web.controller.common.BaseApiController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 运费模板相关接口
 *
 * @author Cup
 * @date 2022/5/5
 */
@Api(tags = "运费模板相关接口")
@RestController
@RequestMapping("/api/v1/mp/admin/shipping/template/*")
public class ShippingTemplateController extends BaseApiController {

    @Autowired
    private IShippingTemplateService shippingTemplateService;

    @PostMapping("/create")
    @ApiOperation("新增运费模板")
    public AjaxResult create(@RequestBody ShippingTemplateParam shippingTemplateParam) {
        // 新增运费模板
        return AjaxResult.success(shippingTemplateService.create(shippingTemplateParam));
    }

    @PostMapping("/update")
    @ApiOperation("更新运费模板")
    public AjaxResult update(@RequestBody ShippingTemplateParam shippingTemplateParam){
        // 修改运费模板
        boolean flag = shippingTemplateService.updateShippingTemplate(shippingTemplateParam);
        return AjaxResult.success();
    }



}
